/**Begin D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\SIM_table.sql **/
 EXEC p_AlterColumn 'T_SIM_RED_INFO', 'FSALERADDR', 'VARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RED_INFO', 'FSALERBANK', 'VARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RED_INFO', 'FBUYERADDR', 'VARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RED_INFO', 'FBUYERBANK', 'VARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RED_INFO', 'FAPPLYREASON', 'VARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_SIM_RED_INFO', 'FMAINTAXRATE', 'VARCHAR(10)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_RED_INFO' AND KSQL_COL_NAME ='FHSBZ') 
 ALTER TABLE T_SIM_RED_INFO ADD (FHSBZ VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\SIM_table.sql **/
